[Solved] Dependency issue with libfreetype.so.6

Issues with installing under all Linux Distributions

[Solved] Dependency issue with libfreetype.so.6

Postby brxue » Wed Jun 22, 2011 1:32 pm

Hi,

I'm installing OO3.3 to my redhat x86_64 machine, it failed with the following info.:

error: Failed dependencies: libfreetype.so.6()(64bit) is needed by ooobasis3.3-core04-3.3.0-9567.x86_64
libgnomevfs-2.so.0()(64bit) is needed by ooobasis3.3-gnome-integration-3.3.0-9567.x86_64
libgconf-2.so.4()(64bit) is needed by ooobasis3.3-gnome-integration-3.3.0-9567.x86_64

but those 3 libraries can surely be found within my system.

/usr/lib/libfreetype.so
/usr/lib/libfreetype.so.6
/usr/lib/libfreetype.so.6.3.10
/usr/lib64/libfreetype.so
/usr/lib64/libfreetype.so.6
/usr/lib64/libfreetype.so.6.3.10
/usr/lib64/xorg/modules/fonts/libfreetype.so

/usr/lib/libgnomevfs-2.so
/usr/lib/libgnomevfs-2.so.0
/usr/lib/libgnomevfs-2.so.0.1600.2
/usr/lib64/libgnomevfs-2.so
/usr/lib64/libgnomevfs-2.so.0
/usr/lib64/libgnomevfs-2.so.0.1600.2

/usr/lib/libgconf-2.so.4
/usr/lib/libgconf-2.so.4.1.0
/usr/lib64/libgconf-2.so.4
/usr/lib64/libgconf-2.so.4.1.0

Can anyoen please help on this issue?

My system info is as follows:
"Linux localhost.localdomain 2.6.18-238.el5 #1 SMP Sun Dec 19 14:22:44 EST 2010 x86_64 x86_64 x86_64 GNU/Linux"
"Red Hat Enterprise Linux Server release 5.6 (Tikanga)"

[brian@localhost OOO330_m20_native_packed-1_en-US.9567]$ rpm --query --whatprovides libfreetype.so
no package provides libfreetype.so
[brian@localhost OOO330_m20_native_packed-1_en-US.9567]$ rpm --query --whatprovides libfreetype.so.6
freetype-2.2.1-28.el5_5.1
[brian@localhost OOO330_m20_native_packed-1_en-US.9567]$ rpm --query --whatprovides libgnomevfs-2.so.0
gnome-vfs2-2.16.2-6.el5_5.1
[brian@localhost OOO330_m20_native_packed-1_en-US.9567]$ rpm --query --whatprovides libgconf-2.so.4
GConf2-2.14.0-9.el5


Thanks,
Brian
Last edited by Hagar Delest on Tue Jun 28, 2011 5:59 pm, edited 1 time in total.
Reason: tagged [Solved].
OpenOffice 3.3.0 on RedHat Enterprise 5.6 with X86-64 CPU.
brxue
 
Posts: 2
Joined: Wed Jun 22, 2011 10:33 am

Re: Installation failed on dependency of libfreetype.so.6

Postby brxue » Tue Jun 28, 2011 3:46 pm

The problems seem disappeared when I install RPMs directly under RPM directory using the following command:

rpm -ivh *.rpm
cd desktop-integrations
rpm install one of desktop integration which fits your system.

It seems the GUI installation method using "setup" script will have this prolem.

Brian
OpenOffice 3.3.0 on RedHat Enterprise 5.6 with X86-64 CPU.
brxue
 
Posts: 2
Joined: Wed Jun 22, 2011 10:33 am

Re: [Solved] Dependency issue with libfreetype.so.6

Postby Hagar Delest » Tue Jun 28, 2011 6:00 pm

Thanks for the follow-up. Indeed, the script has been reported to be defective in some cases (several topics here).
You should have told us that you were installing with it, the reply would have been immediate!
AOO 4.1.7 on Xubuntu 20.04 and 4.1.5 on Windows 10 (with winPenPack port).
User avatar
Hagar Delest
Moderator
 
Posts: 28904
Joined: Sun Oct 07, 2007 9:07 pm
Location: France


Return to Linux

Who is online

Users browsing this forum: No registered users and 2 guests